Type to search.

Import Timelines

Base URL
https://{kibana_url}
  • POST /api/timeline/_import
Auth

Import Timelines.

Request body

The Timelines to import as a readable stream.

file object required
isImmutable enum

Whether the Timeline should be immutable

Values: true false

Responses

Indicates a successful call.

application/json
success boolean

Indicates whether any of the Timelines were successfully imports

success_count number

The amount of successfully imported/updated Timelines

timelines_installed number

The amount of successfully installed Timelines

timelines_updated number

The amount of successfully updated Timelines